> For the complete documentation index, see [llms.txt](https://docs.giga.store/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giga.store/ios/all-profiles.md).

# Profiles

### Retrieve profiles

The `getAllProfiles` function can be used to return all eSIM profiles created for the device. An error is returned if the request can't be fulfilled.

```swift
Gigastore.getAllProfiles(completion: { (profiles, error) in
    print("Profiles: \(profiles ?? [])")
    print("Error: \(error)")
})
```

### Profile Object

The profile contains several identifiers, states and methods:&#x20;

* **id -** internal id of the profile
* **state** - returns the current profile state. See [eSIM Profiles](/api/esim-profiles.md#esim-states)for details of the relevant states.
* **imsi -** IMSI (International Mobile Subscriber Identity) of the eSIM profile
* **iccid** - ICCID (Integrated Circuit Card Identification number) of the eSIM profile. Used for support cases and main identifier. The ICCID of an installed profile is also accessible for the user in the OS settings.
* **isValidEsimProfile()** - returns true, if the object instance contains all the necessary information
* **isInstalled() -** returns true, if the profile is installed (and active) on the device.

{% hint style="info" %}
To check if a profile is installable, use `profile.state == .released`.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.giga.store/ios/all-profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
